//if using any custom parameters, note them here what they're used for
// eg. param 1: sets font size

(function () {
	window.bazingaApp.views.abstractModuleView = window.bazingaApp.views.appView.extend({

		beforePageLoad: function () {
			var self = this;
			
				if ($("body").hasClass("assessment")) {
					$(".backBtn").remove();
				}

                console.log(window.bazingaApp.models.api.getCourseConfig().title);
                $("#courseHeading").html(window.bazingaApp.models.api.getCourseConfig().title);
			
			//true false question 2-9

            if($(".pairBtn").length > 0){
                $(".pairBtn").on('click touchend',function() { //need the touchend for ipad

                    console.log("test");

                    var pairFeedback= '<span class="pairFeedback">That’s right.</span> ';

                    if($(this).find('.icon-tick[src$="../img/tick.png"]').length == 0){
                        //console.log("wrong");
                        pairFeedback= '<span class="pairFeedback">That’s not the best answer.</span> ';
                    }

                    var overlay = $($(this).attr("data-reveal-data"));

                    overlay.find('.pairFeedback').remove();
                    overlay.find("h3").prepend(pairFeedback);

                });

            }
			
		},

		beforeAbstractLoad: function () {
			
		},

		abstractLoads: function () {
			
			//font increase

			var fontSize = window.bazingaApp.models.api.getParam1() || 100;
            // var fontSize = (typeof window.bazingaApp.models.api.getParam1() === 'undefined') ? def_val : 100;

            // if (typeof fontSize === 'undefined' || null) {
            //     // the variable is defined
            //     return fontSize = 100;
            // }

            // $("body").css("font-size", fontSize + "%");
            // $(".a11y-text-size").html(fontSize + "%");
            console.log("Get: " + fontSize);

            updateMultiplier(fontSize);

            $(".fontBtn").on("touchend click", function(e) {
                e.preventDefault();
                var self = $(this);

                if (self.hasClass("is-selected")) {
                    self.removeClass("is-selected");
                    $(".accessibility-dropdown").slideUp();
                } else {
                    self.addClass("is-selected");
                    $(".accessibility-dropdown").slideDown();
                }
            });

            function updateMultiplier(fontSize) {
                var newFontSize = fontSize;

                $(".a11y-text-size").html(newFontSize + "%");
                $("body").css("font-size", newFontSize + "%");
                window.bazingaApp.models.api.setParam1(newFontSize);
                console.log("Set: " + window.bazingaApp.models.api.getParam1());

                if(fontSize == 200){
                        $("#footerContainer").addClass("bigFooter");
                }else{
                    $("#footerContainer").removeClass("bigFooter");
                }
				
				if(fontSize >= 150){
                        $("body").addClass("bigBody");
                }else{
                    $("body").removeClass("bigBody");
                }
                $(window).trigger('resize');
            }
            
            // var fontSize = (window.bazingaApp.models.api.getParam1()).replace('%','') || 100;

            $('[data-a11y-font-toggle="decrease"]').on("touchend click", function(e) {
                e.preventDefault();
                if (fontSize > 100 && fontSize <= 200) {
                    fontSize = fontSize - 25;
                    updateMultiplier(fontSize);
                }
            });

            $('[data-a11y-font-toggle="increase"]').on("touchend click", function(e) {
                e.preventDefault();
                if (fontSize >= 100 && fontSize < 200) {
                    fontSize = fontSize + 25;
                    updateMultiplier(fontSize);
                }

            });

            //
			
		}
				
	});
}());
