var offlineNav = { 
	"pages": [
	{ 
		"id": "dcom", 
		"type": "dialog", 
		"resource": "dialog-complete.html", 
		"title": "Dialog Complete", 
		"visibility": 
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"track": 
		{ 
			"data": false, 
			"completion": false, 
			"score": false, 
			"mark_course_complete_on_enter": true 
		}, 
		"role": 
		{ 
			"default": 
			{ 
				"nav": 
				{} 
			} 
		} 
	}, 
	{ 
		"id": "dcon", 
		"type": "dialog", 
		"resource": "dialog-continue.html", 
		"track": 
		{ 
			"data": false, 
			"completion": false, 
			"score": false 
		}, 
		"title": "Dialog Continue", 
		"visibility":  
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"role": 
		{ 
			"default":  
			{ 
				"nav":  
				{ 
					"resume": "currentScreen", 
					"home": "home" 
				} 
			} 
		} 
	}, 
	{ 
		"id": "dh", 
		"type": "dialog", 
		"resource": "dialog-help.html", 
		"track":  
		{ 
			"data": false, 
			"completion": false, 
			"score": false 
		}, 
		"title": "Dialog Help", 
		"visibility": 
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"role": 
		{ 
			"default": 
			{ 
				"nav": 
				{ 
					"resume": "currentScreen" 
				} 
			} 
		} 
	}, 
	{ 
		"id": "dex", 
		"type": "dialog", 
		"resource": "dialog-exit.html", 
		"track":  
		{ 
			"data": false, 
			"completion": false, 
			"score": false 
		}, 
		"title": "Dialog Exit", 
		"visibility": 
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"role": 
		{ 
			"default":  
			{ 
				"nav":  
				{ 
					"resume": "currentScreen" 
				} 
			} 
		} 
	},
	{ 
		"id": "dr", 
		"type": "dialog", 
		"resource": "dialog-resources.html", 
		"track":  
		{ 
			"data": false, 
			"completion": false, 
			"score": false 
		}, 
		"title": "Dialog Resources", 
		"visibility":  
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"role": 
		{ 
			"default": 
			{ 
				"nav":  
				{ 
					"resume": "currentScreen" 
				} 
			} 
		} 
	},  
  
		{ 
		"id": "ack", 
		"type": "page", 
		"resource": "ack.html", 
		"track": 
		{ 
			"data": false, 
			"completion": true, 
			"score": false 
		}, 
		"title": "Acknowledgments", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": true 
		}, 
		"role": 
		{ 
			"default":  
			{ 
				"nav":  
				{ 
					"next": "home", 
					"back": null 
				} 
			} 
		} 
	},  
	{ 
		"id": "home", 
		"type": "page", 
		"resource": "home.html", 
		"track":  
		{ 
			"data": true, 
			"completion": false, 
			"score": false 
		}, 
		"title": "Home", 
		"visibility": 
		{ 
			"breadcrumbs": false, 
			"menu": false 
		}, 
		"role": 
		{ 
			"default":  
			{ 
				"nav": 
				{ 
					"next": null, 
					"back": null, 
					"reenter": "prevent" 
				} 
			} 
		} 
	},
	{
		"id": "g1", 
		"type": "group", 
		"track": 
		{ 
			"count": false, 
			"data": false, 
			"completion": true, 
			"score": false 
		}, 
		"title": "Knowledge Management", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": true 
		}, 
		"role":  
		{ 
			"default": 
			{ 
				"landing_page": "11" 
			} 
		}, 
		"items": [
		{ 
			"id": "11", 
			"type": "page", 
			"resource": "1-1.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Knowledge Management", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "home", 
						"next": "12" 
					} 
				} 
			} 
		},
		{ 
			"id": "12", 
			"type": "page", 
			"resource": "1-2.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Types of knowledge", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "11", 
						"next": "13" 
					} 
				} 
			} 
		},
		{ 
			"id": "13", 
			"type": "page", 
			"resource": "1-3.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false,
				"manual_completion":true
			}, 
			"title": "Organisational knowledge", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "12", 
						"next": "home" 
					} 
				} 
			} 
		}] 
	},
	{
		"id": "g2", 
		"type": "group", 
		"track": 
		{ 
			"count": false, 
			"data": false, 
			"completion": true, 
			"score": false 
		}, 
		"title": "Learning culture", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": true 
		}, 
		"role":  
		{ 
			"default": 
			{ 
				"landing_page": "21" 
			} 
		}, 
		"conditions": 
		{ 
			"lockedIf": [ 
				{ "id": "g1", "condition": "!" } 
			] 
		}, 
		"items": [
		{ 
			"id": "21", 
			"type": "page", 
			"resource": "2-1.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Learning Organisation", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "home", 
						"next": "22" 
					} 
				} 
			} 
		},
		{ 
			"id": "22", 
			"type": "page", 
			"resource": "2-2.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Learning Culture", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "21", 
						"next": "23" 
					} 
				} 
			} 
		},
		{ 
			"id": "23", 
			"type": "page", 
			"resource": "2-3.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Sharing knowledge and lessons", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "22", 
						"next": "home" 
					} 
				} 
			} 
		}] 
	},
	{
		"id": "g3", 
		"type": "group", 
		"track": 
		{ 
			"count": false, 
			"data": false, 
			"completion": true, 
			"score": false 
		}, 
		"title": "Change", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": true 
		}, 
		"role":  
		{ 
			"default": 
			{ 
				"landing_page": "31" 
			} 
		}, 
		"conditions": 
		{ 
			"lockedIf": [ 
				{ "id": "g2", "condition": "!" } 
			] 
		}, 
		"items": [
		{ 
			"id": "31", 
			"type": "page", 
			"resource": "3-1.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Change Management", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "home", 
						"next": "32" 
					} 
				} 
			} 
		},
		{ 
			"id": "32", 
			"type": "page", 
			"resource": "3-2.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "Experiences", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "31", 
						"next": "33" 
					} 
				} 
			} 
		},
		{ 
			"id": "33", 
			"type": "page", 
			"resource": "3-3.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": false 
			}, 
			"title": "What actions can you take?", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"back": "32", 
						"next": "home" 
					} 
				} 
			} 
		}] 
	},
		{ 
		"id": "g4", 
		"type": "group", 
		"track": 
		{ 
			"data": true, 
			"completion": true, 
			"score": false 
		}, 
		"title": "Knowledge Quiz", 
		"visibility":  
		{ 
			"breadcrumbs": true, 
			"menu": true 
		}, 
		"role":  
		{ 
			"default":  
			{ 
				"landing_page": "ai" 
			} 
		}, 
		"conditions": 
		{ 
			"lockedIf": [
				{ "id": "g1", "condition": "!" },
				{ "id": "g2", "condition": "!" },
				{ "id": "g3", "condition": "!" }
			] 
		}, 
		"items": [ 
		{ 
			"id": "ai", 
			"type": "page", 
			"resource": "assessment-intro.html", 
			"track": 
			{ 
				"count": false, 
				"data": true, 
				"completion": true, 
				"score": false, 
				"manual_completion": true 
			}, 
			"title": "Assessment", 
			"visibility":  
			{ 
				"breadcrumbs": true, 
				"menu": true 
			}, 
			"role":  
			{ 
				"default":  
				{ 
					"nav":  
					{ 
						"next": 51, 
						"back": null 
					} 
				} 
			} 
		}] 
	},
	{ 
		"id": "5", 
		"type": "group", 
		"track":  
		{ 
			"count": false, 
			"data": false, 
			"completion": true, 
			"score": true, 
			"pool": 1 
		}, 
		"title": "Pool 1", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": false 
		}, 
		"role":  
		{ 
			"default":  
			{ 
				"landing_page": "51" 
			} 
		}, 
		"items": [ 
		{ 
			"id": "51", 
			"type": "page", 
			"resource": "5-1.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 1", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "52", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "52", 
			"type": "page", 
			"resource": "5-2.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 2", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "53", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "53", 
			"type": "page", 
			"resource": "5-3.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 3", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "54", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "54", 
			"type": "page", 
			"resource": "5-4.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 4", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "55", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "55", 
			"type": "page", 
			"resource": "5-5.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 5", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "56", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "56", 
			"type": "page", 
			"resource": "5-6.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 6", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "57", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "57", 
			"type": "page", 
			"resource": "5-7.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 7", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "58", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "58", 
			"type": "page", 
			"resource": "5-8.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 8", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "59", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "59", 
			"type": "page", 
			"resource": "5-9.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 9", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "510", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}, 
		{ 
			"id": "510", 
			"type": "page", 
			"resource": "5-10.html", 
			"track": 
			{ 
				"count": false, 
				"data": false, 
				"completion": true, 
				"score": true 
			}, 
			"blockers": 
			{ 
				"keys": ["8"] 
			}, 
			"title": "Question 10", 
			"visibility": 
			{ 
				"breadcrumbs": true, 
				"menu": false 
			}, 
			"role": 
			{ 
				"default":  
				{ 
					"nav": 
					{ 
						"next": "ar", 
						"reenter": "ai", 
						"back": null 
					} 
				} 
			} 
		}] 
	}, 
		{ 
		"id": "ar", 
		"type": "page", 
		"resource": "assessment-results.html", 
		"track":  
		{ 
			"count": false, 
			"data": false, 
			"completion": true, 
			"score": false, 
			"manual_completion": true 
		}, 
		"title": "Assessment Results", 
		"visibility": 
		{ 
			"breadcrumbs": true, 
			"menu": false 
		}, 
		"role":  
		{ 
			"default":  
			{ 
				"nav":  
				{ 
					"next": "null", 
					"back": "null", 
					"reenter": "home" 
				}, 
				"reset": 
				{ 
					"primaryScore": "true", 
					"score": ["51","52","53","54","55","56","57","58","59","510"], 
					"status": ["51","52","53","54","55","56","57","58","59","510"] 
					} 
				} 
			} 
		} ] 
} 
